<?xml version="1.0"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 1.1//EN" "http://java.sun.com/j2ee/dtds/ejb-jar_1_1.dtd">
<ejb-jar>
	<description></description>
	<enterprise-beans>
		<entity>
			<description></description>
			<display-name>com.evermind.ejb.NewsItem</display-name>
			<ejb-name>com.evermind.ejb.NewsItem</ejb-name>
			<home>com.evermind.ejb.NewsItemHome</home>
			<remote>com.evermind.ejb.NewsItem</remote>
			<ejb-class>com.evermind.ejb.NewsItemEJB</ejb-class>
			<persistence-type>Container</persistence-type>
			<prim-key-class>java.lang.Integer</prim-key-class>
			<reentrant>False</reentrant>
			<cmp-field>
				<field-name>submitter</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>text</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>id</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>locale</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>date</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>subject</field-name>
			</cmp-field>
			<cmp-field>
				<field-name>parent</field-name>
			</cmp-field>
			<primkey-field>id</primkey-field>
		</entity>
		<session>
			<description></description>
			<display-name>com.evermind.ejb.NewsSession</display-name>
			<ejb-name>com.evermind.ejb.NewsSession</ejb-name>
			<home>com.evermind.ejb.NewsSessionHome</home>
			<remote>com.evermind.ejb.NewsSession</remote>
			<ejb-class>com.evermind.ejb.NewsSessionEJB</ejb-class>
			<session-type>Stateful</session-type>
			<transaction-type>Container</transaction-type>
			<ejb-ref>
				<description>The news items...</description>
				<ejb-ref-name>ejb/NewsItem</ejb-ref-name>
				<ejb-ref-type>Entity</ejb-ref-type>
				<home>com.evermind.ejb.NewsItemHome</home>
				<remote>com.evermind.ejb.NewsItem</remote>
			</ejb-ref>
		</session>
	</enterprise-beans>
	<assembly-descriptor>
	</assembly-descriptor>
</ejb-jar>
